Chapter 68. Vulnerability Exception Service
68.1. Vulnerability Exception Service Copy linkLink copied to clipboard!
68.1.1. ApproveVulnerabilityException Copy linkLink copied to clipboard!
POST /v2/vulnerability-exceptions/{id}/approve
ApproveVulnerabilityException approves a vulnerability exception. Once approved, the exception is enforced. The associated vulnerabilities are excluded from policy evaluation and risk evaluation, and the vulnerabilities may not appear in certain APIs responses by default.
68.1.1.1. Description Copy linkLink copied to clipboard!
68.1.1.2. Parameters Copy linkLink copied to clipboard!
68.1.1.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | REQUIRED. The ID of vulnerability exception to be approved. | X | null |
68.1.1.2.2. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | VulnerabilityExceptionServiceApproveVulnerabilityExceptionBody | X |
68.1.1.3. Return Type Copy linkLink copied to clipboard!
68.1.1.4. Content Type Copy linkLink copied to clipboard!
- application/json
68.1.1.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
68.1.1.6. Samples Copy linkLink copied to clipboard!
68.1.2. CancelVulnerabilityException Copy linkLink copied to clipboard!
POST /v2/vulnerability-exceptions/{id}/cancel
CancelVulnerabilityException cancels a vulnerability exception. Once cancelled, an approved exception is no longer enforced. Cancelled exceptions are garbage collected as per the retention configuration .expiredVulnReqRetentionDurationDays (GET /v1/config/).
68.1.2.1. Description Copy linkLink copied to clipboard!
68.1.2.2. Parameters Copy linkLink copied to clipboard!
68.1.2.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
68.1.2.3. Return Type Copy linkLink copied to clipboard!
68.1.2.4. Content Type Copy linkLink copied to clipboard!
- application/json
68.1.2.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
68.1.2.6. Samples Copy linkLink copied to clipboard!
68.1.3. CreateDeferVulnerabilityException Copy linkLink copied to clipboard!
POST /v2/vulnerability-exceptions/deferral
CreateDeferVulnerabilityException creates an exception request to defer specified vulnerabilities. Once an exception is created, it remains in the PENDING state until the approval. The exception is enforced only after it is approved. Once the exception expires, it is garbage collected as per the retention configuration .expiredVulnReqRetentionDurationDays (GET`/v1/config/`)
68.1.3.1. Description Copy linkLink copied to clipboard!
68.1.3.2. Parameters Copy linkLink copied to clipboard!
68.1.3.2.1. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | X |
68.1.3.3. Return Type Copy linkLink copied to clipboard!
68.1.3.4. Content Type Copy linkLink copied to clipboard!
- application/json
68.1.3.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
68.1.3.6. Samples Copy linkLink copied to clipboard!
68.1.4. CreateFalsePositiveVulnerabilityException Copy linkLink copied to clipboard!
POST /v2/vulnerability-exceptions/false-positive
CreateFalsePositiveVulnerabilityException creates an exception request to mark specified vulnerabilities as false positive. Once an exception is created, it remains in the PENDING state until the approval. The exception is enforced only after it is approved.
68.1.4.1. Description Copy linkLink copied to clipboard!
68.1.4.2. Parameters Copy linkLink copied to clipboard!
68.1.4.2.1. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | X |
68.1.4.3. Return Type Copy linkLink copied to clipboard!
68.1.4.4. Content Type Copy linkLink copied to clipboard!
- application/json
68.1.4.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
68.1.4.6. Samples Copy linkLink copied to clipboard!
68.1.5. DeleteVulnerabilityException Copy linkLink copied to clipboard!
DELETE /v2/vulnerability-exceptions/{id}
DeleteVulnerabilityException deletes a vulnerability exception. Only pending exceptions and pending updates to an enforced exception can be deleted. To revert an exception use cancel API. All exceptions are retained in the system according to the retention configuration.
68.1.5.1. Description Copy linkLink copied to clipboard!
68.1.5.2. Parameters Copy linkLink copied to clipboard!
68.1.5.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
68.1.5.3. Return Type Copy linkLink copied to clipboard!
Object
68.1.5.4. Content Type Copy linkLink copied to clipboard!
- application/json
68.1.5.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. |
|
| 0 | An unexpected error response. |
68.1.5.6. Samples Copy linkLink copied to clipboard!
68.1.6. DenyVulnerabilityException Copy linkLink copied to clipboard!
POST /v2/vulnerability-exceptions/{id}/deny
DenyVulnerabilityException denies a vulnerability exception. Denied exceptions are inactive and are garbage collected as per the retention configuration .expiredVulnReqRetentionDurationDays (GET`/v1/config/`)
68.1.6.1. Description Copy linkLink copied to clipboard!
68.1.6.2. Parameters Copy linkLink copied to clipboard!
68.1.6.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | REQUIRED. The ID of vulnerability exception to be denied. | X | null |
68.1.6.2.2. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | X |
68.1.6.3. Return Type Copy linkLink copied to clipboard!
68.1.6.4. Content Type Copy linkLink copied to clipboard!
- application/json
68.1.6.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
68.1.6.6. Samples Copy linkLink copied to clipboard!
68.1.7. GetVulnerabilityException Copy linkLink copied to clipboard!
GET /v2/vulnerability-exceptions/{id}
GetVulnerabilityException returns the vulnerability exception with specified ID.
68.1.7.1. Description Copy linkLink copied to clipboard!
68.1.7.2. Parameters Copy linkLink copied to clipboard!
68.1.7.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
68.1.7.3. Return Type Copy linkLink copied to clipboard!
68.1.7.4. Content Type Copy linkLink copied to clipboard!
- application/json
68.1.7.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
68.1.7.6. Samples Copy linkLink copied to clipboard!
68.1.8. ListVulnerabilityExceptions Copy linkLink copied to clipboard!
GET /v2/vulnerability-exceptions
ListVulnerabilityExceptions returns a list of vulnerability exceptions.
68.1.8.1. Description Copy linkLink copied to clipboard!
68.1.8.2. Parameters Copy linkLink copied to clipboard!
68.1.8.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| query | - | null | ||
| pagination.limit | - | null | ||
| pagination.offset | - | null | ||
| pagination.sortOption.field | - | null | ||
| pagination.sortOption.reversed | - | null | ||
| pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| pagination.sortOption.aggregateBy.distinct | - | null |
68.1.8.3. Return Type Copy linkLink copied to clipboard!
68.1.8.4. Content Type Copy linkLink copied to clipboard!
- application/json
68.1.8.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
68.1.8.6. Samples Copy linkLink copied to clipboard!
68.1.9. UpdateVulnerabilityException Copy linkLink copied to clipboard!
PATCH /v2/vulnerability-exceptions/{id}
UpdateVulnerabilityException updates an existing vulnerability exception. The update is enforced only once it is approved. Currently only the following can be updated: - CVEs and expiry of the deferral exceptions - CVEs of the false positive exception
68.1.9.1. Description Copy linkLink copied to clipboard!
68.1.9.2. Parameters Copy linkLink copied to clipboard!
68.1.9.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | REQUIRED. The ID of vulnerability exception to be updated. | X | null |
68.1.9.2.2. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | VulnerabilityExceptionServiceUpdateVulnerabilityExceptionBody | X |
68.1.9.3. Return Type Copy linkLink copied to clipboard!
68.1.9.4. Content Type Copy linkLink copied to clipboard!
- application/json
68.1.9.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |